Bug 1332015 - crash: St:ERROR:st/st-bin.c:185:st_bin_dispose: assertion failed: (priv->child == NULL)
Summary: crash: St:ERROR:st/st-bin.c:185:st_bin_dispose: assertion failed: (priv->chil...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-shell
Version: 23
Hardware: x86_64
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Owen Taylor
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-05-01 08:02 UTC by customercare
Modified: 2017-12-17 16:01 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-12-20 20:13:43 UTC
Type: Bug


Attachments (Terms of Use)

Description customercare 2016-05-01 08:02:24 UTC
Description of problem:

gnome-shell crashed today closing gnome-mplayers window.

St:ERROR:st/st-bin.c:185:st_bin_dispose: assertion failed: (priv->child == NULL)

the same kind of crash & restart happens in thunderbird, but here it happens more often, like once in a week, sometime twice in a row, everytime the message 
editor window gets closed. I think this is connected.

Version-Release number of selected component (if applicable):

3.18.5-1.fc23

How reproducible:

Happens from time to time.


Additional info:

May  1 09:54:41 eve gnome-shell.desktop: (gnome-shell:1932): Clutter-CRITICAL **: clutter_layout_manager_get_child_meta: assertion 'CLUTTER_IS_LAYOUT_MANAGER (manager)' failed
May  1 09:54:41 eve gnome-shell.desktop: (gnome-shell:1932): GLib-GObject-CRITICAL **: g_object_set: assertion 'G_IS_OBJECT (object)' failed
May  1 09:54:41 eve gnome-shell.desktop: (gnome-shell:1932): GLib-GObject-CRITICAL **: g_object_set: assertion 'G_IS_OBJECT (object)' failed
May  1 09:54:41 eve gnome-shell.desktop: (gnome-shell:1932): Clutter-CRITICAL **: clutter_layout_manager_get_child_meta: assertion 'CLUTTER_IS_LAYOUT_MANAGER (manager)' failed
May  1 09:54:41 eve gnome-shell.desktop: (gnome-shell:1932): GLib-GObject-CRITICAL **: g_object_set: assertion 'G_IS_OBJECT (object)' failed
May  1 09:54:41 eve gnome-shell.desktop: (gnome-shell:1932): GLib-GObject-CRITICAL **: g_object_set: assertion 'G_IS_OBJECT (object)' failed
May  1 09:54:41 eve gnome-shell.desktop: (gnome-shell:1932): Clutter-CRITICAL **: clutter_layout_manager_get_child_meta: assertion 'CLUTTER_IS_LAYOUT_MANAGER (manager)' failed
May  1 09:54:41 eve gnome-shell.desktop: (gnome-shell:1932): GLib-GObject-CRITICAL **: g_object_set: assertion 'G_IS_OBJECT (object)' failed
May  1 09:54:41 eve gnome-shell.desktop: (gnome-shell:1932): GLib-GObject-CRITICAL **: g_object_set: assertion 'G_IS_OBJECT (object)' failed
May  1 09:54:41 eve gnome-shell.desktop: (gnome-shell:1932): Clutter-CRITICAL **: clutter_layout_manager_get_child_meta: assertion 'CLUTTER_IS_LAYOUT_MANAGER (manager)' failed
May  1 09:54:41 eve gnome-shell.desktop: (gnome-shell:1932): GLib-GObject-CRITICAL **: g_object_set: assertion 'G_IS_OBJECT (object)' failed
May  1 09:54:41 eve gnome-shell.desktop: (gnome-shell:1932): GLib-GObject-CRITICAL **: g_object_set: assertion 'G_IS_OBJECT (object)' failed
May  1 09:54:41 eve gnome-shell.desktop: (gnome-shell:1932): Clutter-CRITICAL **: clutter_layout_manager_get_child_meta: assertion 'CLUTTER_IS_LAYOUT_MANAGER (manager)' failed
May  1 09:54:41 eve gnome-shell.desktop: (gnome-shell:1932): GLib-GObject-CRITICAL **: g_object_set: assertion 'G_IS_OBJECT (object)' failed
May  1 09:54:41 eve gnome-shell.desktop: (gnome-shell:1932): GLib-GObject-CRITICAL **: g_object_set: assertion 'G_IS_OBJECT (object)' failed
May  1 09:54:41 eve gnome-shell.desktop: (gnome-shell:1932): Clutter-CRITICAL **: clutter_layout_manager_get_child_meta: assertion 'CLUTTER_IS_LAYOUT_MANAGER (manager)' failed
May  1 09:54:41 eve gnome-shell.desktop: (gnome-shell:1932): GLib-GObject-CRITICAL **: g_object_set: assertion 'G_IS_OBJECT (object)' failed
May  1 09:54:41 eve gnome-shell.desktop: (gnome-shell:1932): GLib-GObject-CRITICAL **: g_object_set: assertion 'G_IS_OBJECT (object)' failed
May  1 09:54:41 eve gnome-shell.desktop: (gnome-shell:1932): Clutter-CRITICAL **: clutter_layout_manager_get_child_meta: assertion 'CLUTTER_IS_LAYOUT_MANAGER (manager)' failed
May  1 09:54:41 eve gnome-shell.desktop: (gnome-shell:1932): GLib-GObject-CRITICAL **: g_object_set: assertion 'G_IS_OBJECT (object)' failed
May  1 09:54:41 eve gnome-shell.desktop: (gnome-shell:1932): GLib-GObject-CRITICAL **: g_object_set: assertion 'G_IS_OBJECT (object)' failed
May  1 09:54:41 eve gnome-shell.desktop: (gnome-shell:1932): Clutter-CRITICAL **: clutter_layout_manager_get_child_meta: assertion 'CLUTTER_IS_LAYOUT_MANAGER (manager)' failed
May  1 09:54:41 eve gnome-shell.desktop: (gnome-shell:1932): GLib-GObject-CRITICAL **: g_object_set: assertion 'G_IS_OBJECT (object)' failed
May  1 09:54:41 eve gnome-shell.desktop: (gnome-shell:1932): GLib-GObject-CRITICAL **: g_object_set: assertion 'G_IS_OBJECT (object)' failed
May  1 09:54:41 eve gnome-shell.desktop: (gnome-shell:1932): Clutter-CRITICAL **: clutter_layout_manager_get_child_meta: assertion 'CLUTTER_IS_LAYOUT_MANAGER (manager)' failed
May  1 09:54:41 eve gnome-shell.desktop: (gnome-shell:1932): GLib-GObject-CRITICAL **: g_object_set: assertion 'G_IS_OBJECT (object)' failed
May  1 09:54:41 eve gnome-shell.desktop: (gnome-shell:1932): GLib-GObject-CRITICAL **: g_object_set: assertion 'G_IS_OBJECT (object)' failed
May  1 09:54:41 eve gnome-shell.desktop: (gnome-shell:1932): Clutter-CRITICAL **: clutter_layout_manager_get_child_meta: assertion 'CLUTTER_IS_LAYOUT_MANAGER (manager)' failed
May  1 09:54:41 eve gnome-shell.desktop: (gnome-shell:1932): GLib-GObject-CRITICAL **: g_object_set: assertion 'G_IS_OBJECT (object)' failed
May  1 09:54:41 eve gnome-shell.desktop: (gnome-shell:1932): GLib-GObject-CRITICAL **: g_object_set: assertion 'G_IS_OBJECT (object)' failed
May  1 09:54:41 eve gnome-shell.desktop: (gnome-shell:1932): Clutter-CRITICAL **: clutter_layout_manager_get_child_meta: assertion 'CLUTTER_IS_LAYOUT_MANAGER (manager)' failed
May  1 09:54:41 eve gnome-shell.desktop: (gnome-shell:1932): GLib-GObject-CRITICAL **: g_object_set: assertion 'G_IS_OBJECT (object)' failed
May  1 09:54:41 eve gnome-shell.desktop: (gnome-shell:1932): GLib-GObject-CRITICAL **: g_object_set: assertion 'G_IS_OBJECT (object)' failed
May  1 09:54:41 eve gnome-shell.desktop: (gnome-shell:1932): Clutter-CRITICAL **: clutter_layout_manager_get_child_meta: assertion 'CLUTTER_IS_LAYOUT_MANAGER (manager)' failed
May  1 09:54:41 eve gnome-shell.desktop: (gnome-shell:1932): GLib-GObject-CRITICAL **: g_object_set: assertion 'G_IS_OBJECT (object)' failed
May  1 09:54:41 eve gnome-shell.desktop: (gnome-shell:1932): GLib-GObject-CRITICAL **: g_object_set: assertion 'G_IS_OBJECT (object)' failed
May  1 09:54:41 eve gnome-shell.desktop: (gnome-shell:1932): Clutter-CRITICAL **: clutter_layout_manager_get_child_meta: assertion 'CLUTTER_IS_LAYOUT_MANAGER (manager)' failed
May  1 09:54:41 eve gnome-shell.desktop: (gnome-shell:1932): GLib-GObject-CRITICAL **: g_object_set: assertion 'G_IS_OBJECT (object)' failed
May  1 09:54:41 eve gnome-shell.desktop: (gnome-shell:1932): GLib-GObject-CRITICAL **: g_object_set: assertion 'G_IS_OBJECT (object)' failed
May  1 09:54:41 eve gnome-shell.desktop: (gnome-shell:1932): Clutter-CRITICAL **: clutter_layout_manager_get_child_meta: assertion 'CLUTTER_IS_LAYOUT_MANAGER (manager)' failed
May  1 09:54:41 eve gnome-shell.desktop: (gnome-shell:1932): GLib-GObject-CRITICAL **: g_object_set: assertion 'G_IS_OBJECT (object)' failed
May  1 09:54:41 eve gnome-shell.desktop: (gnome-shell:1932): GLib-GObject-CRITICAL **: g_object_set: assertion 'G_IS_OBJECT (object)' failed
May  1 09:54:41 eve gnome-shell.desktop: (gnome-shell:1932): Clutter-CRITICAL **: clutter_layout_manager_get_child_meta: assertion 'CLUTTER_IS_LAYOUT_MANAGER (manager)' failed
May  1 09:54:41 eve gnome-shell.desktop: (gnome-shell:1932): GLib-GObject-CRITICAL **: g_object_set: assertion 'G_IS_OBJECT (object)' failed
May  1 09:54:41 eve gnome-shell.desktop: (gnome-shell:1932): GLib-GObject-CRITICAL **: g_object_set: assertion 'G_IS_OBJECT (object)' failed
May  1 09:54:41 eve gnome-shell.desktop: (gnome-shell:1932): Clutter-CRITICAL **: clutter_layout_manager_get_child_meta: assertion 'CLUTTER_IS_LAYOUT_MANAGER (manager)' failed
May  1 09:54:41 eve gnome-shell.desktop: (gnome-shell:1932): GLib-GObject-CRITICAL **: g_object_set: assertion 'G_IS_OBJECT (object)' failed
May  1 09:54:41 eve gnome-shell.desktop: (gnome-shell:1932): GLib-GObject-CRITICAL **: g_object_set: assertion 'G_IS_OBJECT (object)' failed
May  1 09:54:41 eve gnome-shell.desktop: (gnome-shell:1932): Clutter-CRITICAL **: clutter_layout_manager_get_child_meta: assertion 'CLUTTER_IS_LAYOUT_MANAGER (manager)' failed
May  1 09:54:41 eve gnome-shell.desktop: (gnome-shell:1932): GLib-GObject-CRITICAL **: g_object_set: assertion 'G_IS_OBJECT (object)' failed
May  1 09:54:41 eve gnome-shell.desktop: (gnome-shell:1932): GLib-GObject-CRITICAL **: g_object_set: assertion 'G_IS_OBJECT (object)' failed
May  1 09:54:41 eve gnome-shell.desktop: (gnome-shell:1932): mutter-WARNING **: STACK_OP_LOWER_BELOW: window 0x2600007 (JavaEmbedd) not in stack
May  1 09:54:41 eve gnome-shell.desktop: (gnome-shell:1932): mutter-WARNING **: STACK_OP_LOWER_BELOW: window 0x2600007 (JavaEmbedd) not in stack
May  1 09:54:41 eve gnome-shell.desktop: **
May  1 09:54:41 eve gnome-shell.desktop: St:ERROR:st/st-bin.c:185:st_bin_dispose: assertion failed: (priv->child == NULL)
May  1 09:54:41 eve abrt-hook-ccpp: Process 1932 (gnome-shell) of user 1000 killed by SIGABRT - dumping core
May  1 09:54:42 eve gnome-session: gnome-session-binary[1549]: WARNING: Application 'gnome-shell.desktop' killed by signal 6
May  1 09:54:42 eve gnome-session-binary[1549]: WARNING: Application 'gnome-shell.desktop' killed by signal 6
May  1 09:54:43 eve gnome-shell.desktop: current session already has an ibus-daemon.
May  1 09:54:43 eve gnome-shell.desktop: Gjs-Message: JS WARNING: [/home/marius/.local/share/gnome-shell/extensions/netspeed@hedayaty.gmail.com/net_speed_status_icon.js 156]: assignment to undeclared variable device
May  1 09:54:43 eve gnome-shell.desktop: Gjs-Message: JS LOG: Device ->
May  1 09:54:44 eve gnome-settings-daemon.desktop: (gnome-settings-daemon:1788): color-plugin-WARNING **: could not find device: property match 'XRANDR_name'='VGA-0' does not exist
May  1 09:54:45 eve gnome-shell: GNOME Shell started at Sun May 01 2016 09:54:43 GMT+0200 (CEST)
May  1 09:54:53 eve /usr/libexec/gdm-x-session: Activating service name='org.gnome.Terminal'
May  1 09:54:53 eve /usr/libexec/gdm-x-session: Successfully activated service 'org.gnome.Terminal'

Comment 1 miikka.veijonen 2016-06-08 12:29:11 UTC
I'm facing this exact issue with Gnome (v3.20) + Thunderbird (v45.1.1).

@customercare@resellerdesktop.de: Are you using FireTray and/or TopTray extensions in Thunderbird and Gnome Shell? I'm just wondering if they have something to do with this bug / issue...

Comment 2 customercare 2016-06-08 12:42:33 UTC
Hi, 

I'm using "Topicons PLUS"  in gnomeshell and NO other similar extention in TB or GS.

Comment 3 miikka.veijonen 2016-06-09 07:01:25 UTC
Ok, but anyway: I've multiple crashes / gnome-shell restarts during day. There's always this line in gnome-shell journal log:

org.gnome.Shell.desktop[17780]: St:ERROR:st/st-bin.c:186:st_bin_dispose: assertion failed: (priv->child == NULL)

before it crashes and restart itself. Is this a bug or is some extension acting wrongly etc.?

Comment 4 Carlos H. M. Moreira 2016-07-26 16:30:15 UTC
Same error here:

org.gnome.Shell.desktop[932]: St:ERROR:st/st-bin.c:186:st_bin_dispose: assertion failed: (priv->child == NULL)

Comment 5 Fedora End Of Life 2016-11-25 07:31:39 UTC
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 6 Steeve McCauley 2016-11-29 13:09:04 UTC
FWIW, I also see this in Fedora 24, normally associated with either TaskBar or TeaTime extensions.

Comment 7 customercare 2016-11-29 13:24:01 UTC
Taskbar is installed, TeaTime not.

Comment 8 Fedora End Of Life 2016-12-20 20:13:43 UTC
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.